Bug 819261 - Doing nothing with a disk device via GUI installer results in data loss
Doing nothing with a disk device via GUI installer results in data loss
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.7
All All
unspecified Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 22:46 EDT by Risar
Modified: 2016-10-30 18:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-08 14:10:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Risar 2012-05-05 22:46:49 EDT
Description of problem:
Installing over a system with multiple disk devices present, one with content that needs to be maintained results in Anaconda's configuration showing that two conflicting options were used for the device which was ignored with a volumegroup present:

#volgroup STOR --noformat --useexisting --pesize=4096
 
--noformat, which specifies to use an existing logical volume and *** do not format *** it. 
--useexisting, which specifies to use an existing logical volume and *** reformat *** it.

This is clearly not optimal as it creates what can only be described as a race condition between the two options. The result is the current state which has data available on the disk/VG in question (confirmed using dd and hexdump) but no clear way to tell the system how to access it post-install.

Version-Release number of selected component (if applicable):
5.7

How reproducible:
Do nothing with an existing/detected VG in the installer and the above flags will be applied, resulting in the LVM data being lost do to the apparent formatting of the disk/LUN.


Steps to Reproduce:
1. Run the installer, ignoring a specific device (eg /dev/sdb)
2. Wait for the install to finish, verify that pvs / pvdisplay no longer shows the PV 
3. No profit.
  
Actual results:
See above.

Expected results:
Device configuration is left alone/as-is with no changes or modifications to the device.

Additional info:
The installer detects the configuration of the PV and VG without issue, so clearly the problem takes place as part of the installation. SF # affiliated with bug = 00635279
Comment 1 Chris Lumens 2012-05-07 09:21:31 EDT
anaconda doesn't really use threads in RHEL5, so this is definitely not a race condition.

Whenever you report an installer bug, please attach the log files as well.  If you've already finished the installation and rebooted, they are in /var/log/anaconda*.

Note You need to log in before you can comment on or make changes to this bug.